.\"	$NetBSD: cons.4,v 1.10 2003/04/06 19:29:41 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)cons.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt CONS 4 vax
.Os
.Sh NAME
.Nm cons
.Nd VAX-11 console interface
.Sh DESCRIPTION
The console is available to the processor through the console registers.
It acts like a normal terminal, except that when the local functions are
not disabled,
.Ic \&^P
(control-P) puts the console in local console mode (where
the prompt is
.Sq Li \*[Gt]\*[Gt]\*[Gt] ) .
The operation of the console in this mode varies
slightly per-processor.
.Ss VAX-11/780 or 785
On either the
.Tn VAX-11/780
or 785 the following commands may be used
after placing the console in local mode with
.Ic ^P .
.Pp
.Bl -tag -width continue -compact -offset 4n
.It Ic c
.It Ic continue
Re-enter conversational mode
if the processor was halted.
.Pp
.It Ic h
.It Ic halt
Halt the CPU.
On an 11/780 or 785
the processor is not stopped by entering local console mode.
.Pp
.It Ic set t p
(set terminal program)
Re-enter conversational mode
if the processor is still
running.
.Pp
.It Ic P
(proceed)
Get out of
.Tn ODT
mode.
.Pp
.It Ic \*[Lt]break\*[Gt]
If you hit the break key on the console, then the console
.Tn LSI Ns -11
will go into
.Tn ODT
(console debugger mode).
.El
.Ss VAX-11/750 or 11/730
On an 11/750
or an 11/730
the processor is halted whenever the console is not in conversational mode.
.Pp
.Bl -tag -width continue -compact -offset 4n
.It Ic C
Return to conversational mode.
.Pp
.It Ic ret
Return from remote diagnosis mode to local console
mode.
.Pp
.It Ic \&^D
(11/750 only)
When in console mode on an 11/750 which has a remote diagnosis module,
a
.Ic \&^D
will put you in remote diagnosis mode, where the prompt will be
.Ql RDM\*[Gt] .
.El
.Ss VAX-8600 or 8650
The
.Tn VAX-8600
(8650) console normally works in the same way as the 11/750,
except that there are many additional modes and commands.
.Pp
.Bl -tag -width continue -compact -offset 4n
.It Ic c
.It Ic continue
Return to
conversational mode.
.Pp
.It Ic halt
Halt the processor if
.Tn HEX
debug enabled.
.Pp
.It Ic p
Halt the processor if in normal mode.
.El
.Pp
With the above proviso's the console works like any other
.Ux
terminal.
.Sh FILES
.Bl -tag -width /dev/console -compact
.It Pa /dev/console
.El
.Sh SEE ALSO
.Xr tty 4 ,
.Xr reboot 8
.Rs
.%T "VAX Hardware Handbook"
.Re
.Sh HISTORY
The
.Nm cons
interface
appeared in
.Bx 4.0 .
